HTMLComponent (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html
Interface HTMLComponent

All Superinterfaces:
  org.apache.xerces.xni.parser.XMLComponent

All Known Implementing Classes:
  DefaultFilter, ElementRemover, HTMLScanner, HTMLTagBalancer, Identity, NamespaceBinder, Purifier, Writer

    public interface HTMLComponent

extends org.apache.xerces.xni.parser.XMLComponent

This interface extends the XNI `XMLComponent` interface to add methods that allow the preferred default values for features and properties to be queried.

Version:
  $Id: HTMLComponent.java,v 1.4 2005/02/14 03:56:54 andyc Exp $
Author:
  Andy Clark

Method Summary
`java.lang.Boolean` | `getFeatureDefault(java.lang.String featureId)` Returns the default state for a feature, or null if this component does not want to report a default value for this feature.
`java.lang.Object` | `getPropertyDefault(java.lang.String propertyId)` Returns the default state for a property, or null if this component does not want to report a default value for this property.

Methods inherited from interface org.apache.xerces.xni.parser.XMLComponent
`getRecognizedFeatures, getRecognizedProperties, reset, setFeature, setProperty`

Method Detail

### getFeatureDefault

    java.lang.Boolean getFeatureDefault(java.lang.String featureId)

  Returns the default state for a feature, or null if this component does not want to report a default value for this feature.

  Specified by:
    `getFeatureDefault` in interface `org.apache.xerces.xni.parser.XMLComponent`

### getPropertyDefault

    java.lang.Object getPropertyDefault(java.lang.String propertyId)

  Returns the default state for a property, or null if this component does not want to report a default value for this property.

  Specified by:
    `getPropertyDefault` in interface `org.apache.xerces.xni.parser.XMLComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.